Bug 56844 - Update to OpenSSL 1.0.1j
Summary: Update to OpenSSL 1.0.1j
Status: RESOLVED FIXED
Alias: None
Product: Tomcat Native
Classification: Unclassified
Component: Library (show other bugs)
Version: 1.1.31
Hardware: PC All
: P2 normal with 20 votes (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-13 04:32 UTC by Konstantin Kolinko
Modified: 2014-10-28 22:59 UTC (History)
2 users (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Kolinko 2014-08-13 04:32:01 UTC
OpenSSL 1.0.1i has been released on 06-Aug-2014 and contains security fixes.

Security advisory:
http://www.openssl.org/news/secadv_20140806.txt
Comment 1 Konstantin Kolinko 2014-10-15 22:47:11 UTC
OpenSSL 1.0.1j was released on 15-Oct-2014.

Security advisory:
http://www.openssl.org/news/secadv_20141015.txt
Comment 2 Prasad 2014-10-18 00:34:58 UTC
Is there a simple way to build the DLL for Windows (32-bit and 64-bit)? I have seen the comments for building this in the bug ID 56596, but there doesn't seem to be a conclusive way of doing this.  If anyone has built the DLLs using the latest openssl versions, can they post them here? Thanks!
Comment 3 Konstantin Kolinko 2014-10-18 10:25:53 UTC
(In reply to Prasad from comment #2)
> Is there a simple way to build the DLL for Windows (32-bit and 64-bit)? I
> have seen the comments for building this in the bug ID 56596, but there
> doesn't seem to be a conclusive way of doing this.

Instructions are on the Wiki. That is how official Tomcat Native 1.1.31 release was built.
http://wiki.apache.org/tomcat/BuildTcNativeWin
Comment 4 Konstantin Kolinko 2014-10-28 22:59:34 UTC
Tomcat Native 1.1.32 release uses OpenSSL 1.0.1j. This issue is thereby fixed.